Last Comment Bug 1062441 - Style Guide "copy rules" should include #anchors for linking to specific parts of the page
: Style Guide "copy rules" should include #anchors for linking to specific part...
Status: RESOLVED FIXED
[kb=1494859] [good first bug]
:
Product: www.mozilla.org
Classification: Other
Component: Pages & Content (show other bugs)
: Production
: All All
-- normal
: ---
Assigned To: Utkarsh Bansal
:
:
Mentors:
Depends on: 1132323
Blocks:
  Show dependency treegraph
 
Reported: 2014-09-03 10:41 PDT by Daniel Holbert [:dholbert] (vacation, returning 2/27)
Modified: 2015-02-11 18:59 PST (History)
3 users (show)
See Also:
Locale:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description User image Daniel Holbert [:dholbert] (vacation, returning 2/27) 2014-09-03 10:41:55 PDT
This page:
 https://www.mozilla.org/en-US/styleguide/communications/copy-rules/
would benefit from having anchors, so that people could link to specific parts of the page.

(i.e. each <dt> should have id="theWord", and then people can link to  https://www.mozilla.org/en-US/styleguide/communications/copy-rules/#theWord to refer specifically to that particular term.)
Comment 1 User image Utkarsh Bansal 2015-01-28 16:25:51 PST
Hey,
Can I take this bug?
I'm new here, but i think i can do this with a bit help.
Comment 2 User image Alex Gibson [:agibson] 2015-01-29 02:21:07 PST
Thanks for showing interest in this bug, Utkarsh!

I will assign it to you, please see the bedrock docs to help get you set up http://bedrock.readthedocs.org/en/latest/

If you have any questions, drop into #www in IRC and someone will be happy to help!
Comment 3 User image Utkarsh Bansal 2015-02-01 13:06:02 PST
Done, pull request at - https://github.com/mozilla/bedrock/pull/2699
Comment 4 User image [github robot] 2015-02-02 05:23:31 PST
Commit pushed to master at https://github.com/mozilla/bedrock

https://github.com/mozilla/bedrock/commit/2c5e49cda3f3f2e28c24667959d1291153b70a34
Fixes Bug 1062441 - Add anchors

* Adds anchors linking parts of page

Note You need to log in before you can comment on or make changes to this bug.